Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.xmlbind.params
Class Named

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.Named

Direct Known Subclasses:
  AgentGroupParams, AgentParams, CallSourceParams, CallTypeParams, SegmentParams

    public class Named

extends Object

Represents an entity with a name and zero or several properties.

Field Summary
`protected String` | `name`
`protected PropertiesParams` | `properties`

Constructor Summary
`Named()`

Method Summary
`String` | `getName()` Gets the value of the name property.
`PropertiesParams` | `getProperties()` Gets the value of the properties property.
`boolean` | `isSetName()`
`boolean` | `isSetProperties()`
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setProperties(PropertiesParams value)` Sets the value of the properties property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    protected PropertiesParams properties

### name

    protected String name

Constructor Detail

### Named

    public Named()

Method Detail

### getProperties

    public PropertiesParams getProperties()

  Gets the value of the properties property.

  Returns:
    possible object is `PropertiesParams`

### setProperties

    public void setProperties(PropertiesParams value)

  Sets the value of the properties property.

  Parameters:
    `value` - allowed object is `PropertiesParams`

### isSetProperties

    public boolean isSetProperties()

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isSetName

    public boolean isSetName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.